Index: expression.dd
===================================================================
--- expression.dd	(revision 1638)
+++ expression.dd	(working copy)
@@ -68,11 +68,7 @@
 
 <h2><a name="Expression">Expressions</a></h2>
 
-$(GRAMMAR
-$(GNAME Expression):
-	$(GLINK AssignExpression)
-	$(GLINK AssignExpression) $(B ,) $(I Expression)
-)
+$(Expression_production)
 
 	The left operand of the $(B ,) is evaluated, then the right operand
 	is evaluated. The type of the expression is the type of the right
@@ -81,25 +77,7 @@
 
 <h2>Assign Expressions</h2>
 
-$(GRAMMAR
-$(GNAME AssignExpression):
-	$(GLINK ConditionalExpression)
-	$(GLINK ConditionalExpression) $(B =) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B +=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B -=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B *=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B /=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B %=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B &=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B |=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B ^=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B ~=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B &lt;&lt;=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B &gt;&gt;=) $(I AssignExpression)
-	$(GLINK ConditionalExpression) $(B &gt;&gt;&gt;=) $(I AssignExpression)
-$(V2
-	$(GLINK ConditionalExpression) $(B ^^=) $(I AssignExpression))
-)
+$(AssignExpression_production)
 
 	The right operand is implicitly converted to the type of the
 	left operand, and assigned to it. The result type is the type
@@ -127,11 +105,7 @@
 
 <h2>Conditional Expressions</h2>
 
-$(GRAMMAR
-$(GNAME ConditionalExpression):
-	$(GLINK OrOrExpression)
-	$(GLINK OrOrExpression) $(B ?) $(GLINK Expression) $(B :) $(I ConditionalExpression)
-)
+$(ConditionalExpression_production)
 
 	The first expression is converted to bool, and is evaluated.
 	If it is true, then the second expression is evaluated, and
@@ -145,11 +119,7 @@
 
 <h2>OrOr Expressions</h2>
 
-$(GRAMMAR
-$(GNAME OrOrExpression):
-	$(GLINK AndAndExpression)
-	$(I OrOrExpression) $(B ||) $(GLINK AndAndExpression)
-)
+$(OrOrExpression_production)
 
 	The result type of an $(I OrOrExpression) is bool,
 	unless the right operand
@@ -172,13 +142,8 @@
 
 <h2>AndAnd Expressions</h2>
 
-$(GRAMMAR
-$(GNAME AndAndExpression):
-	$(GLINK OrExpression)
-	$(I AndAndExpression) $(B &&) $(GLINK OrExpression)
+$(AndAndExpression_production)
 
-)
-
 	$(P The result type of an $(I AndAndExpression) is bool, unless the right operand
 	has type void, when the result is type void.
 	)
@@ -209,53 +174,30 @@
 
 <h3>Or Expressions</h3>
 
-$(GRAMMAR
-$(GNAME OrExpression):
-	$(GLINK XorExpression)
-	$(I OrExpression) $(B |) $(GLINK XorExpression)
-)
+$(OrExpression_production)
 
 	The operands are OR'd together.
 
 <h3>Xor Expressions</h3>
 
-$(GRAMMAR
-$(GNAME XorExpression):
-	$(GLINK AndExpression)
-	$(I XorExpression) $(B ^) $(GLINK AndExpression)
-)
+$(XorExpression_production)
 
 	The operands are XOR'd together.
 
 <h3>And Expressions</h3>
 
-$(GRAMMAR
-$(GNAME AndExpression):
-	$(GLINK CmpExpression)
-	$(I AndExpression) $(B &) $(GLINK CmpExpression)
-)
+$(AndExpression_production)
 
 	The operands are AND'd together.
 
 
 <h2><a name="CmpExpression">Compare Expressions</a></h2>
 
-$(GRAMMAR
-$(GNAME CmpExpression):
-	$(GLINK ShiftExpression)
-	$(GLINK EqualExpression)
-	$(GLINK IdentityExpression)
-	$(GLINK RelExpression)
-	$(GLINK InExpression)
-)
+$(CmpExpression_production)
 
 <h2><a name="EqualExpression">Equality Expressions</a></h2>
 
-$(GRAMMAR
-$(GNAME EqualExpression):
-	$(GLINK ShiftExpression) $(B ==) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !=) $(GLINK ShiftExpression)
-)
+$(EqualExpression_production)
 
 	Equality expressions compare the two operands for equality ($(B ==))
 	or inequality ($(B !=)).
@@ -317,11 +259,7 @@
 
 <h3><a name="IdentityExpression">Identity Expressions</a></h3>
 
-$(GRAMMAR
-$(GNAME IdentityExpression):
-	$(GLINK ShiftExpression) $(B is) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !is) $(GLINK ShiftExpression)
-)
+$(IdentityExpression_production)
 
 	$(P The $(B is) compares for identity.
 	To compare for not identity, use $(TT $(I e1) $(B !is) $(I e2)).
@@ -352,21 +290,7 @@
 
 <h2>Relational Expressions</h2>
 
-$(GRAMMAR
-$(GNAME RelExpression):
-	$(GLINK ShiftExpression) $(B &lt;) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B &lt;=) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B &gt;) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B &gt;=) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !&lt;&gt;=) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !&lt;&gt;) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B &lt;&gt;) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B &lt;&gt;=) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !&gt;) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !&gt;=) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !&lt;) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !&lt;=) $(GLINK ShiftExpression)
-)
+$(RelExpression_production)
 
 	First, the integral promotions are done on the operands.
 	The result type of a relational expression is bool.
@@ -521,11 +445,7 @@
 
 <h2><a name="InExpression">In Expressions</a></h2>
 
-$(GRAMMAR
-$(GNAME InExpression):
-	$(GLINK ShiftExpression) $(B in) $(GLINK ShiftExpression)
-	$(GLINK ShiftExpression) $(B !in) $(GLINK ShiftExpression)
-)
+$(InExpression_production)
 
 	$(P An associative array can be tested to see if an element is in the array:
 	)
@@ -551,13 +471,7 @@
 
 <h2>Shift Expressions</h2>
 
-$(GRAMMAR
-$(GNAME ShiftExpression):
-	$(GLINK AddExpression)
-	$(I ShiftExpression) $(B &lt;&lt;) $(GLINK AddExpression)
-	$(I ShiftExpression) $(B &gt;&gt;) $(GLINK AddExpression)
-	$(I ShiftExpression) $(B &gt;&gt;&gt;) $(GLINK AddExpression)
-)
+$(ShiftExpression_production)
 
 	The operands must be integral types, and undergo the usual integral
 	promotions. The result type is the type of the left operand after
@@ -580,13 +494,7 @@
 
 <h2>Add Expressions</h2>
 
-$(GRAMMAR
-$(GNAME AddExpression):
-	$(GLINK MulExpression)
-	$(I AddExpression) $(B +) $(GLINK MulExpression)
-	$(I AddExpression) $(B -) $(GLINK MulExpression)
-	$(GLINK CatExpression)
-)
+$(AddExpression_production)
 
 	$(P If the operands are of integral types, they undergo integral
 	promotions, and then are brought to a common type using the
@@ -622,10 +530,7 @@
 
 <h2>Cat Expressions</h2>
 
-$(GRAMMAR
-$(GNAME CatExpression):
-	$(I AddExpression) $(B ~) $(GLINK MulExpression)
-)
+$(CatExpression_production)
 
 	$(P A $(I CatExpression) concatenates arrays, producing
 	a dynmaic array with the result. The arrays must be
@@ -637,25 +542,9 @@
 
 <h2>Mul Expressions</h2>
 
-$(V1
-$(GRAMMAR
-$(GNAME MulExpression):
-	$(GLINK UnaryExpression)
-	$(I MulExpression) $(B *) $(GLINK UnaryExpression)
-	$(I MulExpression) $(B /) $(GLINK UnaryExpression)
-	$(I MulExpression) $(B %) $(GLINK UnaryExpression)
-)
-)
-$(V2
-$(GRAMMAR
-$(GNAME MulExpression):
-	$(GLINK PowExpression)
-	$(I MulExpression) $(B *) $(GLINK PowExpression)
-	$(I MulExpression) $(B /) $(GLINK PowExpression)
-	$(I MulExpression) $(B %) $(GLINK PowExpression)
-)
-)
+$(MulExpression_production)
 
+
 	$(P The operands must be arithmetic types. They undergo integral
 	promotions, and then are brought to a common type using the
 	usual arithmetic conversions.
@@ -685,11 +574,7 @@
 $(V2
 <h2><a name="PowExpression">Pow Expressions</a></h2>
 
-$(GRAMMAR
-$(GNAME PowExpression):
-	$(GLINK UnaryExpression)
-	$(GLINK UnaryExpression) ^^ $(I PowExpression)
-)
+$(PowExpression_production)
 
 	$(P $(I PowExpression) raises its left operand to the power of its
 	right operand.
@@ -698,49 +583,16 @@
 
 <h2><a name="UnaryExpression">Unary Expressions</a></h2>
 
-$(GRAMMAR
-$(GNAME UnaryExpression):
-	$(GLINK PostfixExpression)
-	$(B &amp;) $(I UnaryExpression)
-	$(B ++) $(I UnaryExpression)
-	$(B --) $(I UnaryExpression)
-	$(B *) $(I UnaryExpression)
-	$(B -) $(I UnaryExpression)
-	$(B +) $(I UnaryExpression)
-	$(B !) $(I UnaryExpression)
-	$(B ~) $(I UnaryExpression)
-	$(B $(LPAREN)) $(I Type) $(B $(RPAREN) .) $(I Identifier)
-	$(GLINK NewExpression)
-	$(GLINK DeleteExpression)
-	$(GLINK CastExpression)
-	$(LINK2 class.html#anonymous, $(I NewAnonClassExpression))
-)
+$(UnaryExpression_production)
 
 
 <h3>New Expressions</h3>
 
-$(GRAMMAR
-$(GNAME NewExpression):
-	$(I NewArguments) $(I Type) $(B [) $(GLINK AssignExpression) $(B ])
-	$(I NewArguments) $(I Type) $(B $(LPAREN)) $(GLINK ArgumentList) $(B $(RPAREN))
-	$(I NewArguments) $(I Type)
-	$(I NewArguments) $(I ClassArguments) $(I BaseClasslist)<sub>opt</sub> $(B {) $(I DeclDefs) $(B } )
+$(NewExpression_production)
+$(NewArguments_production)
+$(ClassArguments_production)
+$(ArgumentList_production)
 
-$(GNAME NewArguments):
-	$(B new $(LPAREN)) $(GLINK ArgumentList) $(B $(RPAREN))
-	$(B new ( ))
-	$(B new)
-
-$(GNAME ClassArguments):
-	$(B class $(LPAREN)) $(GLINK ArgumentList) $(B $(RPAREN))
-	$(B class ( ))
-	$(B class)
-
-$(GNAME ArgumentList):
-	$(GLINK AssignExpression)
-	$(GLINK AssignExpression) $(B ,) $(I ArgumentList)
-)
-
 	$(P $(I NewExpression)s are used to allocate memory on the garbage
 	collected heap (default) or using a class or struct specific allocator.
 	)
@@ -798,10 +650,7 @@
 
 <h3>Delete Expressions</h3>
 
-$(GRAMMAR
-$(GNAME DeleteExpression):
-	$(B delete) $(GLINK UnaryExpression)
-)
+$(DeleteExpression_production)
 	$(P If the $(I UnaryExpression) is a class object reference, and
 	there is a destructor for that class, the destructor
 	is called for that object instance.
@@ -838,10 +687,7 @@
 
 <h3>Cast Expressions</h3>
 
-$(GRAMMAR
-$(GNAME CastExpression):
-	$(B cast $(LPAREN)) $(I Type) $(B $(RPAREN)) $(GLINK UnaryExpression)
-)
+$(CastExpression_production)
 
 	$(P A $(I CastExpression) converts the $(I UnaryExpression)
 	to $(I Type).
@@ -919,25 +765,11 @@
 
 <h2>Postfix Expressions</h2>
 
-$(GRAMMAR
-$(GNAME PostfixExpression):
-	$(GLINK PrimaryExpression)
-	$(I PostfixExpression) $(B .) $(I Identifier)
-	$(I PostfixExpression) $(B .) $(GLINK NewExpression)
-	$(I PostfixExpression) $(B ++)
-	$(I PostfixExpression) $(B --)
-	$(I PostfixExpression) $(B ( ))
-	$(I PostfixExpression) $(B $(LPAREN)) $(GLINK ArgumentList) $(B $(RPAREN))
-	$(GLINK IndexExpression)
-	$(GLINK SliceExpression)
-)
+$(PostfixExpression_production)
 
 <h2>Index Expressions</h2>
 
-$(GRAMMAR
-$(GNAME IndexExpression):
-	$(GLINK PostfixExpression) $(B [) $(GLINK ArgumentList) $(B ])
-)
+$(IndexExpression_production)
 
 	$(P $(I PostfixExpression) is evaluated.
 
@@ -964,11 +796,7 @@
 
 <h2>Slice Expressions</h2>
 
-$(GRAMMAR
-$(GNAME SliceExpression):
-	$(GLINK PostfixExpression) $(B [ ])
-	$(GLINK PostfixExpression) $(B [) $(GLINK AssignExpression) $(B ..) $(GLINK AssignExpression) $(B ])
-)
+$(SliceExpression_production)
 
 	$(P $(I PostfixExpression) is evaluated.
 	if $(I PostfixExpression) is an expression of type
@@ -1006,38 +834,7 @@
 
 <h2>Primary Expressions</h2>
 
-$(GRAMMAR
-$(GNAME PrimaryExpression):
-	$(I Identifier)
-	$(B .)$(I Identifier)
-	$(LINK2 template.html#TemplateInstance, $(I TemplateInstance))
-	$(LINK2 #this, $(B this))
-	$(LINK2 #super, $(B super))
-	$(LINK2 #null, $(B null))
-	$(B true)
-	$(B false)
-	$(B $)
-$(V2
-	$(B __FILE__)
-	$(B __LINE__))
-	$(GLINK2 lex, IntegerLiteral)
-	$(GLINK2 lex, FloatLiteral)
-	$(GLINK CharacterLiteral)
-	$(GLINK StringLiterals)
-	$(GLINK ArrayLiteral)
-	$(GLINK AssocArrayLiteral)
-	$(GLINK FunctionLiteral)
-	$(GLINK AssertExpression)
-	$(GLINK MixinExpression)
-	$(GLINK ImportExpression)
-	$(I BasicType) $(B .) $(I Identifier)
-	$(LINK2 declaration.html#Typeof, $(I Typeof))
-	$(GLINK TypeidExpression)
-	$(GLINK IsExpression)
-	$(B $(LPAREN)) $(I Expression) $(B $(RPAREN))
-$(V2
-	$(LINK2 traits.html#TraitsExpression, $(I TraitsExpression)))
-)
+$(PrimaryExpression_production)
 
 <h3>.Identifier</h3>
 
@@ -1120,11 +917,7 @@
 
 <h3>String Literals</h3>
 
-$(GRAMMAR
-$(GNAME StringLiterals):
-	$(LINK2 lex.html#StringLiteral, $(I StringLiteral))
-	$(I StringLiterals) $(LINK2 lex.html#StringLiteral, $(I StringLiteral))
-)
+$(StringLiterals_production)
 
 	$(P String literals can implicitly convert to any
 	of the following types, they have equal weight:
@@ -1159,10 +952,7 @@
 
 <h3>Array Literals</h3>
 
-$(GRAMMAR
-$(GNAME ArrayLiteral):
-	$(B [) $(GLINK ArgumentList) $(B ])
-)
+$(ArrayLiteral_production)
 
 	$(P Array literals are a comma-separated list of $(GLINK AssignExpression)s
 	between square brackets [ and ].
@@ -1219,24 +1009,12 @@
 
 <h3>Associative Array Literals</h3>
 
-$(GRAMMAR
-$(GNAME AssocArrayLiteral):
-	$(B [) $(I KeyValuePairs) $(B ])
+$(AssocArrayLiteral_production)
+$(KeyValuePairs_production)
+$(KeyValuePair_production)
+$(KeyExpression_production)
+$(ValueExpression_production)
 
-$(GNAME KeyValuePairs):
-	$(I KeyValuePair)
-	$(I KeyValuePair) $(B ,) $(I KeyValuePairs)
-
-$(GNAME KeyValuePair):
-	$(I KeyExpression) $(B :) $(I ValueExpression)
-
-$(GNAME KeyExpression):
-	$(GLINK ConditionalExpression)
-
-$(GNAME ValueExpression):
-	$(GLINK ConditionalExpression)
-)
-
 	$(P Associative array literals are a comma-separated list of
 	$(I key):$(I value) pairs
 	between square brackets [ and ].
@@ -1263,20 +1041,9 @@
 
 <h3>Function Literals</h3>
 
-$(GRAMMAR
-$(GNAME FunctionLiteral):
-	$(B function) $(I Type)<sub>opt</sub> $(I ParameterAttributes) <sub>opt</sub> $(I FunctionBody)
-	$(B delegate) $(I Type)<sub>opt</sub> $(I ParameterAttributes) <sub>opt</sub> $(I FunctionBody)
-	$(I ParameterAttributes) $(I FunctionBody)
-	$(I FunctionBody)
+$(FunctionLiteral_production)
+$(ParameterAttributes_production)
 
-$(GNAME ParameterAttributes):
-	$(LINK2 declaration.html#Parameters, $(I Parameters))
-$(V2
-	$(LINK2 declaration.html#Parameters, $(I Parameters)) $(LINK2 declaration.html#FunctionAttributes, $(I FunctionAttributes))
-)
-)
-
 	$(I FunctionLiteral)s enable embedding anonymous functions
 	and anonymous delegates directly into expressions.
 	$(I Type) is the return type of the function or delegate,
@@ -1386,11 +1153,7 @@
 
 <h3>Assert Expressions</h3>
 
-$(GRAMMAR
-$(GNAME AssertExpression):
-	$(B assert $(LPAREN)) $(GLINK AssignExpression) $(B $(RPAREN))
-	$(B assert $(LPAREN)) $(GLINK AssignExpression) $(B ,) $(GLINK AssignExpression) $(B $(RPAREN))
-)
+$(AssertExpression_production)
 
 	$(P Asserts evaluate the $(I expression). If the result is false,
 	an $(B AssertError) is thrown. If the result is true, then no
@@ -1437,10 +1200,7 @@
 
 <h3><a name="MixinExpression">Mixin Expressions</a></h3>
 
-$(GRAMMAR
-$(GNAME MixinExpression):
-	$(B mixin $(LPAREN)) $(GLINK AssignExpression) $(B $(RPAREN))
-)
+$(MixinExpression_production)
 
 	$(P The $(I AssignExpression) must evaluate at compile time
 	to a constant string.
@@ -1457,10 +1217,7 @@
 
 <h3><a name="ImportExpression">Import Expressions</a></h3>
 
-$(GRAMMAR
-$(GNAME ImportExpression):
-	$(B import $(LPAREN)) $(GLINK AssignExpression) $(B $(RPAREN))
-)
+$(ImportExpression_production)
 
 	$(P The $(I AssignExpression) must evaluate at compile time
 	to a constant string.
@@ -1485,11 +1242,7 @@
 
 <h3><a name="typeidexpression">Typeid Expressions</a></h3>
 
-$(GRAMMAR
-$(GNAME TypeidExpression):
-    $(B typeid $(LPAREN)) $(I Type) $(B $(RPAREN))
-$(V2      $(B typeid $(LPAREN)) $(I Expression) $(B $(RPAREN)))
-)
+$(TypeidExpression_production)
 
 $(V1
 	$(P Returns an instance of class
@@ -1533,37 +1286,9 @@
 
 <h3><a name="IsExpression">IsExpression</a></h3>
 
-$(GRAMMAR
-$(GNAME IsExpression):
-	$(B is $(LPAREN)) $(I Type) $(B $(RPAREN))
-	$(B is $(LPAREN)) $(I Type) $(B :) $(I TypeSpecialization) $(B $(RPAREN))
-	$(B is $(LPAREN)) $(I Type) $(B ==) $(I TypeSpecialization) $(B $(RPAREN))
-	$(B is $(LPAREN)) $(I Type) $(I Identifier) $(B $(RPAREN))
-	$(B is $(LPAREN)) $(I Type) $(I Identifier) $(B :) $(I TypeSpecialization) $(B $(RPAREN))
-	$(B is $(LPAREN)) $(I Type) $(I Identifier) $(B ==) $(I TypeSpecialization) $(B $(RPAREN))
-	$(V2 $(B is $(LPAREN)) $(I Type) $(I Identifier) $(B :) $(I TypeSpecialization) $(B ,) $(I TemplateParameterList) $(B $(RPAREN))
-	$(B is $(LPAREN)) $(I Type) $(I Identifier) $(B ==) $(I TypeSpecialization) $(B ,) $(I TemplateParameterList) $(B $(RPAREN))
-)
+$(IsExpression_production)
+$(TypeSpecialization_production)
 
-$(GNAME TypeSpecialization):
-	$(I Type)
-$(V1	$(B typedef)
-)	$(B struct)
-	$(B union)
-	$(B class)
-	$(B interface)
-	$(B enum)
-	$(B function)
-	$(B delegate)
-	$(B super)
-$(V2
-	$(B const)
-	$(B immutable)
-	$(B inout)
-	$(B shared)
-	$(B return)
-))
-
 	$(I IsExpression)s are evaluated at compile time and are
 	used for checking for valid types, comparing types for equivalence,
 	determining if one type can be implicitly converted to another,
@@ -1737,7 +1462,7 @@
 	$(I TypeSpecialization) or, if $(I TypeSpecialization) is
 	dependent on $(I Identifier), the deduced type.
 	)
-
+<!-- missing -->
 	$(P If $(I TypeSpecialization) is one of
 $(V1		$(B typedef)
 )		$(B struct)
Index: function.dd
===================================================================
--- function.dd	(revision 1638)
+++ function.dd	(working copy)
@@ -2,27 +2,12 @@
 
 $(SPEC_S Functions,
 
-$(GRAMMAR
-$(GNAME FunctionBody):
-	$(LINK2 statement.html#BlockStatement, $(I BlockStatement))
-	$(I BodyStatement)
-	$(I InStatement) $(I BodyStatement)
-	$(I OutStatement) $(I BodyStatement)
-	$(I InStatement) $(I OutStatement) $(I BodyStatement)
-	$(I OutStatement) $(I InStatement) $(I BodyStatement)
+$(FunctionBody_production)
+$(InStatement_production)
+$(OutStatement_production)
+$(BodyStatement_production)
 
-$(GNAME InStatement):
-	$(B in) $(LINK2 statement.html#BlockStatement, $(I BlockStatement))
 
-$(GNAME OutStatement):
-	$(B out) $(LINK2 statement.html#BlockStatement, $(I BlockStatement))
-	$(B out) $(B $(LPAREN)) $(I Identifier) $(B $(RPAREN)) $(LINK2 statement.html#BlockStatement, $(I BlockStatement))
-
-$(GNAME BodyStatement):
-	$(B body) $(LINK2 statement.html#BlockStatement, $(I BlockStatement))
-)
-
-
 <h3>Function Return Values</h3>
 
 	$(P Function return values are considered to be rvalues.
